TaskInputFilePropertyBuilder (Gradle API 3.5)
Date: 2017-04-10

org.gradle.api.tasks

## Interface TaskInputFilePropertyBuilder

- All Superinterfaces:
    CompatibilityAdapterForTaskInputs, TaskFilePropertyBuilder, TaskInputs, TaskPropertyBuilder

      @Incubating
      public interface TaskInputFilePropertyBuilder
      extends TaskFilePropertyBuilder, TaskInputs

  Describes an input property of a task that contains zero or more files.
  Since:
    3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskInputFilePropertyBuilder` | `dir(Object dirPath)` Deprecated. Use `TaskInputs.dir(Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `file(Object path)` Deprecated. Use `TaskInputs.file(Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `files(Object... paths)` Deprecated. Use `TaskInputs.files(Object...)` directly instead.
    `FileCollection` | `getFiles()` Deprecated. Use `TaskInputs.getFiles()` directly instead.
    `boolean` | `getHasInputs()` Deprecated. Use `TaskInputs.getHasInputs()` directly instead.
    `boolean` | `getHasSourceFiles()` Deprecated. Use `TaskInputs.getHasSourceFiles()` directly instead.
    `Map<String,Object>` | `getProperties()` Deprecated. Use `TaskInputs.getProperties()` directly instead.
    `FileCollection` | `getSourceFiles()` Deprecated. Use `TaskInputs.getSourceFiles()` directly instead.
    `TaskInputFilePropertyBuilder` | `optional()` Marks a task property as optional.
    `TaskInputFilePropertyBuilder` | `optional(boolean optional)` Sets whether the task property is optional.
    `TaskInputFilePropertyBuilder` | `orderSensitive()` Deprecated. This method will be removed in Gradle 4.0 without replacement.
    `TaskInputFilePropertyBuilder` | `orderSensitive(boolean orderSensitive)` Deprecated. This method will be removed in Gradle 4.0 without replacement.
    `TaskInputs` | `properties(Map<String,?> properties)` Deprecated. Use `TaskInputs.properties(Map)` directly instead.
    `TaskInputs` | `property(String name, Object value)` Deprecated. Use `TaskInputs.property(String, Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty()` Skip executing the task if the property contains no files.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty(boolean skipWhenEmpty)` Sets whether executing the task should be skipped if the property contains no files.
    `TaskInputs` | `source(Object... paths)` Deprecated. Use `TaskInputs.source(Object...)` directly instead.
    `TaskInputs` | `source(Object path)` Deprecated. Use `TaskInputs.source(Object)` directly instead.
    `TaskInputs` | `sourceDir(Object path)` Deprecated. Use `TaskInputs.sourceDir(Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `withPathSensitivity(PathSensitivity sensitivity)` Sets which part of the path of files should be considered during up-to-date checks.
    `TaskInputFilePropertyBuilder` | `withPropertyName(String propertyName)` Sets the name for this property.

- - ### Method Detail

    - #### withPropertyName

          TaskInputFilePropertyBuilder withPropertyName(String propertyName)

      Sets the name for this property. The name must be a valid Java identifier, or a series of valid Java identifiers separated with dots ('.').

      If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.

      Specified by:
        `withPropertyName` in interface `TaskPropertyBuilder`

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty()

      Skip executing the task if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty(boolean skipWhenEmpty)

      Sets whether executing the task should be skipped if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### optional

          TaskInputFilePropertyBuilder optional()

      Marks a task property as optional. This means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### optional

          TaskInputFilePropertyBuilder optional(boolean optional)

      Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### orderSensitive

          @Deprecated
          TaskInputFilePropertyBuilder orderSensitive()

      Deprecated. This method will be removed in Gradle 4.0 without replacement.
      Sets the order of the files to be relevant when observing this property.
      Since:
        3.1

    - #### orderSensitive

          @Deprecated
          TaskInputFilePropertyBuilder orderSensitive(boolean orderSensitive)

      Deprecated. This method will be removed in Gradle 4.0 without replacement.
      Sets whether the order of the files is relevant when observing this property.
      Since:
        3.1

    - #### withPathSensitivity

          TaskInputFilePropertyBuilder withPathSensitivity(PathSensitivity sensitivity)

      Sets which part of the path of files should be considered during up-to-date checks.
      Specified by:
        `withPathSensitivity` in interface `TaskFilePropertyBuilder`
      Since:
        3.1

    - #### getHasInputs

          @Deprecated
          boolean getHasInputs()

      Deprecated. Use `TaskInputs.getHasInputs()` directly instead.
      Returns true if this task has declared the inputs that it consumes.
      Specified by:
        `getHasInputs` in interface `TaskInputs`
      Returns:
        true if this task has declared any inputs.

    - #### getFiles

          @Deprecated
          FileCollection getFiles()

      Deprecated. Use `TaskInputs.getFiles()` directly instead.
      Returns the input files of this task.
      Specified by:
        `getFiles` in interface `TaskInputs`
      Returns:
        The input files. Returns an empty collection if this task has no input files.

    - #### files

          @Deprecated
          TaskInputFilePropertyBuilder files(Object... paths)

      Deprecated. Use `TaskInputs.files(Object...)` directly instead.
      Registers some input files for this task.
      Specified by:
        `files` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `files` in interface `TaskInputs`
      Parameters:
        `paths` - The input files. The given paths are evaluated as per `Project.files(Object...)`.
      Returns:
        a property builder to further configure the property.

    - #### file

          @Deprecated
          TaskInputFilePropertyBuilder file(Object path)

      Deprecated. Use `TaskInputs.file(Object)` directly instead.
      Registers some input file for this task.
      Specified by:
        `file` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `file` in interface `TaskInputs`
      Parameters:
        `path` - The input file. The given path is evaluated as per `Project.files(Object...)`.
      Returns:
        a property builder to further configure the property.

    - #### dir

          @Deprecated
          TaskInputFilePropertyBuilder dir(Object dirPath)

      Deprecated. Use `TaskInputs.dir(Object)` directly instead.
      Registers an input directory hierarchy. All files found under the given directory are treated as input files for this task.
      Specified by:
        `dir` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `dir` in interface `TaskInputs`
      Parameters:
        `dirPath` - The directory. The path is evaluated as per `Project.file(Object)`.
      Returns:
        a property builder to further configure the property.

    - #### getProperties

          @Deprecated
          Map<String,Object> getProperties()

      Deprecated. Use `TaskInputs.getProperties()` directly instead.
      Returns the set of input properties for this task.
      Specified by:
        `getProperties` in interface `TaskInputs`
      Returns:
        The properties.

    - #### property

          @Deprecated
          TaskInputs property(String name,
                                       Object value)

      Deprecated. Use `TaskInputs.property(String, Object)` directly instead.

      Registers an input property for this task. This value is persisted when the task executes, and is compared against the property value for later invocations of the task, to determine if the task is up-to-date.

      The given value for the property must be Serializable, so that it can be persisted. It should also provide a useful `equals()` method.

      You can specify a closure or `Callable` as the value of the property. In which case, the closure or `Callable` is executed to determine the actual property value.

      Specified by:
        `property` in interface `TaskInputs`
      Parameters:
        `name` - The name of the property. Must not be null.
        `value` - The value for the property. Can be null.

    - #### properties

          @Deprecated
          TaskInputs properties(Map<String,?> properties)

      Deprecated. Use `TaskInputs.properties(Map)` directly instead.
      Registers a set of input properties for this task. See `TaskInputs.property(String, Object)` for details.
      Specified by:
        `properties` in interface `TaskInputs`
      Parameters:
        `properties` - The properties.

    - #### getHasSourceFiles

          @Deprecated
          boolean getHasSourceFiles()

      Deprecated. Use `TaskInputs.getHasSourceFiles()` directly instead.
      Returns true if this task has declared that it accepts source files.
      Specified by:
        `getHasSourceFiles` in interface `TaskInputs`
      Returns:
        true if this task has source files, false if not.

    - #### getSourceFiles

          @Deprecated
          FileCollection getSourceFiles()

      Deprecated. Use `TaskInputs.getSourceFiles()` directly instead.
      Returns the set of source files for this task. These are the subset of input files which the task actually does work on. A task is skipped if it has declared it accepts source files, and this collection is empty.
      Specified by:
        `getSourceFiles` in interface `TaskInputs`
      Returns:
        The set of source files for this task.

    - #### source

          @Deprecated
          TaskInputs source(Object... paths)

      Deprecated. Use `TaskInputs.source(Object...)` directly instead.
      Registers some source files for this task. Note that source files are also considered input files, so calling this method implies a call to `TaskInputs.files(Object...)`.
      Specified by:
        `source` in interface `TaskInputs`
      Parameters:
        `paths` - The paths. These are evaluated as per `Project.files(Object...)`.
      Returns:
        this

    - #### source

          @Deprecated
          TaskInputs source(Object path)

      Deprecated. Use `TaskInputs.source(Object)` directly instead.
      Registers some source files for this task. Note that source files are also considered input files, so calling this method implies a call to `TaskInputs.files(Object...)`.
      Specified by:
        `source` in interface `TaskInputs`
      Parameters:
        `path` - The path. This is evaluated as per `Project.files(Object...)`.
      Returns:
        this

    - #### sourceDir

          @Deprecated
          TaskInputs sourceDir(Object path)

      Deprecated. Use `TaskInputs.sourceDir(Object)` directly instead.
      Registers a source directory for this task. All files under this directory are treated as source files for this task. Note that source files are also considered input files, so calling this method implies a call to `TaskInputs.dir(Object)`.
      Specified by:
        `sourceDir` in interface `TaskInputs`
      Parameters:
        `path` - The path. This is evaluated as per `Project.file(Object)`.
      Returns:
        this